> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Supported Assets

> Get all the supported assets.
 If chain is specified, assets supported only on that chain will be returned.



## OpenAPI

````yaml /v2/openapi.yaml get /v2/assets
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/assets:
    get:
      tags:
        - Assets
      summary: List Supported Assets
      description: |-
        Get all the supported assets.
         If chain is specified, assets supported only on that chain will be returned.
      operationId: bastion.api.v2.API.GetAssets
      parameters:
        - name: chain
          in: query
          description: (OPTIONAL) Chain on which to list the supported assets
          required: false
          schema:
            $ref: '#/components/schemas/bastion.common.Chain'
            title: chain
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.GetAssetsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized Request
        '403':
          description: Request Forbidden
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.common.Chain:
      type: string
      title: Chain
      enum:
        - CHAIN_UNSPECIFIED
        - ETHEREUM_MAINNET
        - POLYGON_MAINNET
        - ETHEREUM_TESTNET
        - OPTIMISM_SEPOLIA
        - BASE_MAINNET
        - BASE_SEPOLIA
        - OPTIMISM_MAINNET
        - POLYGON_AMOY
        - SOLANA_MAINNET
        - SOLANA_DEVNET
      description: Chain identifier
      example: ETHEREUM_MAINNET
    bastion.api.v2.GetAssetsResponse:
      type: object
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/bastion.api.v2.CryptoAsset'
          title: assets
          description: List of supported assets
          readOnly: true
      title: GetAssetsResponse
      additionalProperties: false
    bastion.api.v2.CryptoAsset:
      type: object
      properties:
        chain:
          $ref: '#/components/schemas/bastion.common.Chain'
          title: chain
          description: Blockchain network for the asset
          readOnly: true
        symbol:
          type: string
          title: symbol
          description: Symbol or ticker of the asset
          readOnly: true
        decimals:
          type:
            - integer
            - string
          title: decimals
          format: int64
          description: Number of decimal places for the asset
          readOnly: true
        type:
          $ref: '#/components/schemas/bastion.common.CryptocurrencyAssetType'
          title: type
          description: Type of the cryptocurrency asset
          readOnly: true
        contract_address:
          type: string
          title: contract_address
          description: Contract address of the asset, if applicable
          readOnly: true
      title: CryptoAsset
      additionalProperties: false
    bastion.common.CryptocurrencyAssetType:
      type: string
      title: CryptocurrencyAssetType
      enum:
        - CRYPTOCURRENCY_ASSET_TYPE_UNSPECIFIED
        - BASE
        - ERC20
        - SPL
      example: BASE
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Submit Cryptocurrency Transfer](/v2/api-reference/cryptocurrency-transfers/submit-cryptocurrency-transfer.md)
- [Supported chains and assets](/guides/concepts/chains-and-assets.md)
- [List Mints](/v2/api-reference/issuance/list-mints.md)
- [List Redemptions](/v2/api-reference/issuance/list-redemptions.md)
- [Receive crypto deposits to a Bastion account](/guides/quickstarts/receive-crypto-deposits.md)
